Subject: Object validation errors don't have a reasonable structure
Description

When validating properties of objects with validators, the errors must be nested just like the properties that were validated.

If this is not the case, validation errors cannot be assigned to single properties in after doing the validation. This is needed for the very
simple case of displaying input fields with errors in the frontend.

Associated revisions
Revision 03d14776 - 2009-05-22 17:48 - Christopher Hlubek

Object validation: Introduced PropertyError for nested errors and changed property mapper and mapping results. Resolves #3401

History
#1 - 2009-05-20 21:33 - Christopher Hlubek
- Tracker changed from Bug to Feature

#2 - 2009-05-20 21:35 - Christopher Hlubek

A possible solution would be a special Validation\ObjectError class extending Validation\Error that allows for the following structure:

ObjectError(
    'propertyErrors' => array(
        'blog' => array(
            ObjectError(
                'propertyErrors' => array(
                    'title' => array(
                        Error("title too short", 1232423),
                        Error("title has spelling errors", 14324323)
                    )
                )
            )
        )
    )
)

#3 - 2009-05-22 18:00 - Christopher Hlubek
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset r2342.
